{ config, pkgs, ... }:

{
  imports = [
    # installées systématiquement
    ./environment.nix
    ./localisation.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./app-awesome.nix           # pour les profils awesome
    ./app-cao.nix               # de conception assisté par ordinateur & modélisation
    ./app-developpement.nix     # utilisée pour développer des programmes/scripts
    ./app-docker.nix            # pour activer docker
    ./app-jeux.nix              # permettant de jouer ;)
    ./app-virtualbox.nix        # pour exploiter virtualbox
    ./auto-upgrade.nix          # mise à jour automatique du système
    ./laptop.nix                # appli & configuration adaptée pour un PC portable
    ./locate.nix                # service locate
    ./print.nix                 # configuration de base de cups
    ./swap.nix                  # définition de l'utilisation du swap

    ## if isDesktop
    ./app-adminsys.nix          # pour gérer le système dans son ensemble et les services
    ./app-bureautique.nix       # dédiée à la bureautique (traitement de texte, dessin, ...)
    ./app-cartographie.nix      # utilisée pour manipuler les données géographiques & cartes
    ./app-client-internet.nix   # pour accéder & utiliser des ressources par le réseau
    ./app-multimedia.nix        # pour gérer le son, l'image et la vidéo
    ./app-network.nix           # de gestion, de diagnostique & surveillance réseau
    ./app-securite.nix          # relatives à la sécurité (chiffrement, gpg, mots de passe, ...)
  ];
}
